数据提供商: Exa
多个网址的页面文本、重点内容及摘要
$0.003301 / 条结果在 25 秒内响应
通过Exa,可以获取最多10个网页的标题、作者、发布日期、文本内容、其中最重要的段落以及简短摘要;这些信息都是根据这些网页的URL获取的。每个被呈现的网页都会显示标题、作者、发布日期、文本内容、关键段落以及简短摘要,而且还可以通过设置问题来有针对性地获取所需信息。可通过数据时效选项接受不超过指定缓存年龄的副本,或强制重新抓取。无法获取的URL会分别被列出并不会产生费用;而三种类型的内容则会按页面进行计费。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Exa endpoint /contents?highlights=true&summary=true on Glasser.bash
glasser run -p exa -e '/contents?highlights=true&summary=true' -i '{"urls":["https://en.wikipedia.org/wiki/Battery_recycling"],"summary":{"query":"How are lithium-ion batteries recycled?"},"maxCharacters":2000}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"exa","endpoint":"/contents?highlights=true&summary=true","input":{"urls":["https://en.wikipedia.org/wiki/Battery_recycling"],"summary":{"query":"How are lithium-ion batteries recycled?"},"maxCharacters":2000},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
从指定网页研究问题时,可以收集相关段落,为研究笔记提供依据。
复制此提示词到你的 Agent,查找与研究问题相关的网页段落。
提示词
Use exa:/contents?highlights=true&summary=true on Glasser.
Read my source page and pull passages that answer the research question I provide.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"urls"
],
"properties": {
"urls": {
"type": "array",
"items": {
"type": "string",
"pattern": "^https?:\\/\\/",
"maxLength": 2048,
"minLength": 8
},
"maxItems": 10,
"minItems": 1
},
"summary": {
"type": "object",
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
}
},
"additionalProperties": false
},
"highlights": {
"type": "object",
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
}
},
"additionalProperties": false
},
"maxAgeHours": {
"type": "integer",
"maximum": 720,
"minimum": -1
},
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
},
"livecrawlTimeout": {
"type": "integer",
"maximum": 12000,
"minimum": 1000
}
},
"additionalProperties": false
}json
{
"urls": [
"https://en.wikipedia.org/wiki/Battery_recycling"
],
"summary": {
"query": "How are lithium-ion batteries recycled?"
},
"maxCharacters": 2000
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每条返回结果 | 按返回的每条结果计费。 没有返回数据时不收费。 | $0.003301 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.10 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |